package net.sf.doolin.util;

import java.security.Principal;

/**
 * User with some authorizations
 * 
 * @author Damien Coraboeuf
 */
public interface AuthorizedUser extends Principal {

	/**
	 * Is the user in a role ?
	 * 
	 * @param role
	 *            Role to check
	 * @return <code>true</code> if the user is qualified for the role.
	 */
	boolean isInRole(String role);
}
