package net.sf.doolin.util.factory;

public class InstanceDataFactory<T> implements DataFactory<T> {

	private final T instance;

	public InstanceDataFactory(T instance) {
		this.instance = instance;
	}

	@Override
	public T create(Object context) {
		return this.instance;
	}

}
