package net.sf.doolin.util;

import org.apache.commons.lang.ObjectUtils;

import com.google.common.base.Functions;

/**
 * Converts any object to a {@link String} using
 * {@link ObjectUtils#toString(Object, String)}.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <S>
 *            Type of object to convert
 * @deprecated Use {@link Functions#toStringFunction()} instead.
 */
@Deprecated
public class ToStringItemConverter<S> implements ItemConverter<S, String> {

	@Override
	public String convert(S source) {
		return ObjectUtils.toString(source, null);
	}

}
